<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: melon::ScalerData Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('structmelon_1_1_scaler_data.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structmelon_1_1_scaler_data-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">melon::ScalerData Struct Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Base struct from which data structs of different scalers can be derived.  
 <a href="#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="scaler_8h_source.html">scaler.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a37dc498fe4c7d97963aaf3f05eecbd01" id="r_a37dc498fe4c7d97963aaf3f05eecbd01"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a37dc498fe4c7d97963aaf3f05eecbd01">ScalerData</a> ()</td></tr>
<tr class="separator:a37dc498fe4c7d97963aaf3f05eecbd01"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ac620f2a8c41a84eb20dbd85c689cddb4" id="r_ac620f2a8c41a84eb20dbd85c689cddb4"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespacemelon.html#a7ee65995944832d7b450202201d45c11">SCALER_TYPE</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ac620f2a8c41a84eb20dbd85c689cddb4">type</a></td></tr>
<tr class="separator:ac620f2a8c41a84eb20dbd85c689cddb4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21b3752024d615cad4135270bac8d4f8" id="r_a21b3752024d615cad4135270bac8d4f8"><td class="memItemLeft" align="right" valign="top">std::unordered_map&lt; <a class="el" href="namespacemelon.html#a7c96133788161408370e83766fc229ce">SCALER_PARAMETER</a>, std::vector&lt; double &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a21b3752024d615cad4135270bac8d4f8">parameters</a></td></tr>
<tr class="separator:a21b3752024d615cad4135270bac8d4f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Base struct from which data structs of different scalers can be derived. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a37dc498fe4c7d97963aaf3f05eecbd01" name="a37dc498fe4c7d97963aaf3f05eecbd01"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a37dc498fe4c7d97963aaf3f05eecbd01">&#9670;&#160;</a></span>ScalerData()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">melon::ScalerData::ScalerData </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a21b3752024d615cad4135270bac8d4f8" name="a21b3752024d615cad4135270bac8d4f8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a21b3752024d615cad4135270bac8d4f8">&#9670;&#160;</a></span>parameters</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::unordered_map&lt;<a class="el" href="namespacemelon.html#a7c96133788161408370e83766fc229ce">SCALER_PARAMETER</a>, std::vector&lt;double&gt; &gt; melon::ScalerData::parameters</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Unordered map containing the different scaler parameters </p>

</div>
</div>
<a id="ac620f2a8c41a84eb20dbd85c689cddb4" name="ac620f2a8c41a84eb20dbd85c689cddb4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac620f2a8c41a84eb20dbd85c689cddb4">&#9670;&#160;</a></span>type</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespacemelon.html#a7ee65995944832d7b450202201d45c11">SCALER_TYPE</a> melon::ScalerData::type</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Type of scaler </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>C:/Data/Git/MeLOn/common/inc/<a class="el" href="scaler_8h_source.html">scaler.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacemelon.html">melon</a></li><li class="navelem"><a class="el" href="structmelon_1_1_scaler_data.html">ScalerData</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0 </li>
  </ul>
</div>
</body>
</html>
